mixed-port: 7890
allow-lan: true
mode: rule
log-level: info
ipv6: true
external-controller: 127.0.0.1:9090
dns:
  enable: true
  listen: 0.0.0.0:1053
  ipv6: true
  enhanced-mode: fake-ip
  fake-ip-range: 198.18.0.1/16
  default-nameserver:
    - 223.5.5.5
    - 119.29.29.29
  nameserver:
    - https://dns.alidns.com/dns-query
    - https://doh.pub/dns-query
proxies:
  - name: 🇨🇦_CA_加拿大
    type: trojan
    server: 103.177.136.42
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国
    type: trojan
    server: 103.177.136.45
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
    type: trojan
    server: 103.177.136.42
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_1
    type: trojan
    server: 103.177.136.45
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_2
    type: trojan
    server: 103.177.136.45
    port: 48697
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: gh.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
    type: trojan
    server: 103.177.136.42
    port: 46424
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: de.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
  - name: 🇨🇦_CA_加拿大_3
    type: trojan
    server: 103.177.136.45
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_4
    type: trojan
    server: 103.177.136.42
    port: 41943
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: az.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_5
    type: trojan
    server: 103.177.136.45
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇩🇪_DE_德国
    type: hysteria
    server: 5.83.129.90
    port: 54177
    auth_str: dongtaiwang.com
    up: "500"
    down: "1000"
    sni: apple.com
    skip-cert-verify: true
    alpn:
      - h3
    udp: true
  - name: 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
    type: trojan
    server: 103.177.136.45
    port: 45553
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: ch.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇳🇱_NL_荷兰
    type: vless
    server: 185.229.191.10
    port: 8443
    uuid: 394f6981-a782-4779-9a85-e6cf22935d93
    servername: ams1.fromblancwithlove.com
    tls: true
    client-fingerprint: chrome
    skip-cert-verify: true
    udp: true
  - name: 🇨🇦_CA_加拿大_6
    type: trojan
    server: 103.177.136.42
    port: 47909
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: is.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: false
    udp: true
  - name: 🇨🇦_CA_加拿大_7
    type: trojan
    server: 103.177.136.42
    port: 45619
    password: 4f4d1167-ef14-4304-9bce-0740472503ef
    sni: fr.01.naiun.bilibili.com
    skip-cert-verify: true
    tls: true
    udp: true
proxy-groups:
  - name: 🚀 节点选择
    type: select
    proxies:
      - ♻️ 自动选择
      - DIRECT
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
  - name: ♻️ 自动选择
    type: url-test
    proxies:
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
    url: http://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
  - name: 🌍 国外媒体
    type: select
    proxies:
      - 🚀 节点选择
      - ♻️ 自动选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
  - name: 📲 电报信息
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
  - name: Ⓜ️ 微软服务
    type: select
    proxies:
      - 🎯 全球直连
      - 🚀 节点选择
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
  - name: 🍎 苹果服务
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
  - name: 🎯 全球直连
    type: select
    proxies:
      - DIRECT
      - 🚀 节点选择
      - ♻️ 自动选择
  - name: 🛑 全球拦截
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🍃 应用净化
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🆎 AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT
  - name: 🐟 漏网之鱼
    type: select
    proxies:
      - 🚀 节点选择
      - 🎯 全球直连
      - ♻️ 自动选择
      - 🇨🇦_CA_加拿大
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士
      - 🇨🇦_CA_加拿大_1
      - 🇨🇦_CA_加拿大_2
      - 🇨🇦_CA_加拿大->🇩🇪_DE_德国_1
      - 🇨🇦_CA_加拿大_3
      - 🇨🇦_CA_加拿大_4
      - 🇨🇦_CA_加拿大_5
      - 🇩🇪_DE_德国
      - 🇨🇦_CA_加拿大->🇨🇭_CH_瑞士_1
      - 🇳🇱_NL_荷兰
      - 🇨🇦_CA_加拿大_6
      - 🇨🇦_CA_加拿大_7
rule-providers:
  LocalAreaNetwork:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/LocalAreaNetwork.list
    path: ./rules/LocalAreaNetwork.yaml
  BanAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanAD.list
    path: ./rules/BanAD.yaml
  BanProgramAD:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanProgramAD.list
    path: ./rules/BanProgramAD.yaml
  BanEasyList:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyList.list
    path: ./rules/BanEasyList.yaml
  BanEasyListChina:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyListChina.list
    path: ./rules/BanEasyListChina.yaml
  BanEasyPrivacy:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/BanEasyPrivacy.list
    path: ./rules/BanEasyPrivacy.yaml
  GoogleCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/GoogleCN.list
    path: ./rules/GoogleCN.yaml
  SteamCN:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Ruleset/SteamCN.list
    path: ./rules/SteamCN.yaml
  Microsoft:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Microsoft.list
    path: ./rules/Microsoft.yaml
  Apple:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Apple.list
    path: ./rules/Apple.yaml
  ProxyMedia:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyMedia.list
    path: ./rules/ProxyMedia.yaml
  Telegram:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/Telegram.list
    path: ./rules/Telegram.yaml
  ProxyLite:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ProxyLite.list
    path: ./rules/ProxyLite.yaml
  ChinaDomain:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaDomain.list
    path: ./rules/ChinaDomain.yaml
  ChinaCompanyIp:
    type: http
    behavior: classical
    url: https://raw.githubusercontent.com/ACL4SSR/ACL4SSR/refs/heads/master/Clash/ChinaCompanyIp.list
    path: ./rules/ChinaCompanyIp.yaml
rules:
  - RULE-SET,LocalAreaNetwork,🎯 全球直连
  - RULE-SET,BanAD,🛑 全球拦截
  - RULE-SET,BanProgramAD,🍃 应用净化
  - RULE-SET,BanEasyList,🆎 AdBlock
  - RULE-SET,BanEasyListChina,🆎 AdBlock
  - RULE-SET,BanEasyPrivacy,🆎 AdBlock
  - RULE-SET,GoogleCN,🎯 全球直连
  - RULE-SET,SteamCN,🎯 全球直连
  - RULE-SET,Microsoft,Ⓜ️ 微软服务
  - RULE-SET,Apple,🍎 苹果服务
  - RULE-SET,ProxyMedia,🌍 国外媒体
  - RULE-SET,Telegram,📲 电报信息
  - RULE-SET,ProxyLite,🚀 节点选择
  - RULE-SET,ChinaDomain,🎯 全球直连
  - RULE-SET,ChinaCompanyIp,🎯 全球直连
  - GEOIP,CN,🎯 全球直连
  - MATCH,🐟 漏网之鱼
